﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace Main
{
    public partial class FrmLogin : Form
    {
        public FrmLogin()
        {
            InitializeComponent();
        }

        private void btnLogin_Click(object sender, EventArgs e)
        {
            try
            {
                IniClass ini = new IniClass(Application.StartupPath + @"\Update.ini");
                UpdateService.Service service = new UpdateService.Service();
                string clientVersion = ini.IniReadValue("update", "version");//客户端版本
                string serviceVersion = service.GetVersion();//服务端版本
                if (clientVersion != serviceVersion)
                {
                    DialogResult dialogResult = MessageBox.Show("有新版本，是否更新？", "升级", MessageBoxButtons.OKCancel, MessageBoxIcon.Information);
                    if (dialogResult == DialogResult.OK)
                    {
                        Application.Exit();
                        Process.Start("Update.exe");
                    }
                }
                else
                {
                    MessageBox.Show("已更新至最高版本！");
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}
