﻿using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.IO;
using System.Configuration;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class Service : System.Web.Services.WebService
{

    public Service () {

        //如果使用设计的组件，请取消注释以下行 
        //InitializeComponent(); 
    }
    /// <summary>
    /// 获取版本号
    /// </summary>
    /// <returns>更新版本号</returns>
    [WebMethod]
    public string GetVersion() 
    {
        return ConfigurationManager.ConnectionStrings["version"].ConnectionString;
    }
    /// <summary>
    /// 获取下载地址
    /// </summary>
    /// <returns>下载地址</returns>
    [WebMethod]
    public string GetUrl()
    {
        return ConfigurationManager.ConnectionStrings["url"].ConnectionString + ConfigurationManager.ConnectionStrings["directory"].ConnectionString+"/";
    }
    /// <summary>
    /// 获取下载zip压缩包
    /// </summary>
    /// <returns>下载zip压缩包</returns>
    [WebMethod]
    public string[] GetZips()
    {
        string folder=HttpRuntime.AppDomainAppPath + ConfigurationManager.ConnectionStrings["directory"].ConnectionString;
        string[] zips = Directory.GetFileSystemEntries(folder);
        for (int i = 0; i < zips.Length; i++)
        {
            zips[i] = Path.GetFileName(zips[i]);
        }
        return zips;
    }
}
